%define _prefix /usr
%define svn rc4


Summary: GSA
Name:    greenbone-security-assistant
Version: 3.0.0
Release: 0.1.art
#Source0: %{name}-%{version}-%{svn}.tar.gz
Source0: %{name}-%{version}.tar.gz
Source1: gsad.sysconfig
Source2: gsad.logrotate
Source3: gsad.init
Patch0: test2.patch
Patch1: no-werror.patch
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
#AutoReqProv: no
#AutoReq: 0
Provides: gsa


BuildRequires: qt-devel
BuildRequires: openvas-libraries >= 3.0, openvas-libraries-devel >= 3.0
BuildRequires: flex 
BuildRequires: automake  libtool 
BuildRequires:  cmake >= 2.6.0
BuildRequires: libgcrypt-devel gpgme gpgme-devel

# New
BuildRequires: libmicrohttpd libmicrohttpd-devel libxml2 libxml2-devel
BuildRequires: libxslt libxslt-devel
BuildRequires: doxygen
Requires: libmicrohttpd
Requires: openvas-scanner, openvas-manager
Requires: libxslt

#

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

Requires: openvas-libraries  >= 3.0

#Required by the openvas-nvt-sync and greenbone-nvt-sync
#Requires:       /usr/bin/md5sum
#Requires:       /usr/bin/rsync
#Requires:       /usr/bin/wget
#Requires:       /usr/bin/curl

%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libuuid libuuid-devel
BuildRequires:  gnutls-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif



%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0, 
%endif



%if 0%{?el4}0%{?el5}%{?fc6}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
%else
BuildRequires: libpcap-devel gnutls-devel
%endif
 
%description
GSA

%prep
#%setup -n %{name}-%{version}+%{svn} -b 0
%setup -n %{name}-%{version} -b 0
#%patch0 -p1 
%patch1 -p1 

%build

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif


cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}

#%{__make}  %{?_smp_mflags}
%{__make}  
%{__make}  doc


%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%{__install} -D -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/gsad
%{__install} -D -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/logrotate.d/gsad
%{__install} -D -m 755 %{SOURCE3} %{buildroot}/%{_sysconfdir}/init.d/gsad

%{__mkdir_p}  %{buildroot}%{_localstatedir}/log/openvas
touch %{buildroot}%{_localstatedir}/log/openvas/gsad.log


%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ $1 = 1 ]; then
        /sbin/chkconfig --add gsad
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service gsad stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del gsad
fi

%postun
if [ $1 = 1 ]; then
    /sbin/service gsad condrestart
fi



%files
%defattr(-,root,root,-)
%doc CHANGES ChangeLog COPYING README
%config(noreplace) /etc/sysconfig/gsad
%config(noreplace) %{_sysconfdir}/openvas/gsad_log.conf
%{_sbindir}/gsad
/usr/share/man/man8/gsad.8*
/etc/logrotate.d/gsad
/etc/init.d/gsad
/usr/share/openvas/gsa
%dir %{_localstatedir}/log/openvas
%ghost %{_localstatedir}/log/openvas/gsad.log



%changelog
* Wed Aug 31 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.1-4
- Rebuild against newer libmicrohttpd

* Thu Mar 17 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.1-1
- Update to 2.0.1-1

* Tue Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.0-1
- Update to 2.0.0-1

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.4
- Update to 2.0rc4

* Tue Feb 1 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.2
- Update to 2.0rc2

* Mon Aug 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-1
- Update to 1.0.2

* Mon Aug 2 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-0.1
- Initial build
